var vm = new Vue({
	el: '#app',
	data: {
		isIE:cgi.isBrowerIE(),
		isIe9:isIeNine(),
		lang: ch,
		isbasan: true, //判断是82还是83机型
		index: '', //0:其他 1:预览 2:算法 3:视频 (iframe)
		menu: false, //更多参数
		url: '',
		userLimit: true, //操作员没有用户管理权限
		userLimitT: true, //观察员只显示预览
		lang1: cgi.getItem('lang') || '中文',
		showLang: false,
		minWidth:true,//最小width为720时,顶部菜单隐藏
		showLed:true,//是否显示led参数
		showOffline:true,//是否显示脱机计费
		logoName:'',//logo名字
		showLogo:false,//是否显示logo
		inVersion:getVersion(),
		t16Flag:false,//T16显示logo
		showGuid:true,//是否显示安装向导
		showMore:true,//是否显示更多
		showLcd:false,
		showLogMenu:true,//是否显示打印日志
		show300w:false,//显示300万
	},
	methods: {
		//加载相机信息
		initData: function() {
			var that = this;
			//初始页面
			/*if(that.isIE){
				$('#iframeId_preview').attr('src','preview.html');
				$('#iframeId_preview_ws').attr('src','preview_ws.html');
				$('#iframeId_algo').attr('src','arithmetic.html');
				$('#iframeId_video').attr('src','video_parameter.html');
				$('#langlist').css('top','3px')
			}*/
			
			this.url = cgi.getItem('target_url');
			this.index = cgi.getItem('target_index')
			if(this.index == 0){
				$('#commiframe').attr('src',this.url);
			}
			var menuUrl = ['preview.html', 'guide.html', 'arithmetic.html', 'mesh.html', 'equipment.html']
			if(menuUrl.indexOf(this.url) < 0) {
				this.menu = true;
			}
			// 操作员隐藏用户管理,观察员只显示预览
			var session = cgi.getItem("session")
			if(typeof(session) == "string") {
				s_info = session.split("|")
				if(s_info[1] == "1") {
					that.userLimit = false;
				}
				if(s_info[1] == "2") {
					that.userLimitT = false;
				}
			}
			$('#app').css('opacity', '1')
			//加载相机名称信息
			var res = cgi.transfer("get.cgi?random=" + Math.random(), "get", {
				'key': 'camera_info'
			});
			$(".xjmc").html(res.camera_info.camera_name)
			$(".crklx").html(note.camerType[res.camera_info.camera_vdc_type])
			
			//TODO 根据相机型号显示内容
		 	var version=cgi.getItem('version')
		 	//T16-CV100/版本不显示安装向导和更多
		 	if(version =='T16-CV100AF'){
		 		that.showLed = false;
		 		that.showOffline = false;
		 		that.t16Flag=true;
		 		that.showGuid = false;
		 		that.showMore = false;
		 	}
		 	if(version.indexOf('ECT83-V3001C')!=-1||version.indexOf('ECV85')!=-1  || version.indexOf('ECT85')!=-1|| version.indexOf('EMF85')!=-1||version.indexOf('ECV87')!=-1||version.indexOf('T83-CV185')!=-1|| version.indexOf('DCL85')!=-1|| version.indexOf('DCS85')!=-1 ||version.indexOf('DCL86')!=-1|| version.indexOf('ECV86')!=-1|| version.indexOf('DCZ85')!=-1){
		 		that.showOffline=true;
		 	}
		 	//T83-CV101R101不要脱机计费
		 	if(version == 'T83-CV101R101'){
		 		that.showOffline = false;
		 	}
		 	//富士版本显示logo名字
			if(that.inVersion=="VW83-FS"){
				that.showLogo = true;
				that.logoName = version;
			}
			//300万的主页加 300万 车牌识别一体机
			if(version.indexOf('ECV87-V2001C')!=-1 ||version.indexOf('ECT83-V3001C')!=-1|| version.indexOf('ECV85')!=-1||version.indexOf('ECT85')!=-1||version.indexOf('EMF85')!=-1|| version.indexOf('DCL85')!=-1|| version.indexOf('DCS85')!=-1 ||version=='DMG88-V2011C' || version=='DMG88-V2001C'||version=='DME88-V2001C'){
				that.show300w = true;
				that.logoName = '300万高清 <br />车牌识别一体机';
				if(version=='ECV87-V2001C-TH'){
					that.logoName = 'ความละเอียดสูง <br />เครื่องรู้จำป้ายทะเบียนรถ';
				}
			}
			if(version.indexOf('DCL86')!=-1||version.indexOf('ECV86')!=-1|| version.indexOf('DCZ85')!=-1||version=='ECV85-V4001C'||version.indexOf('ECV86-V3011C')!=-1||version=='ECV85-V4011C'){
				if(version=='ECV86-V2001C-FS'){
					that.showLogo = true;
					that.logoName = 'FJC-CPA9401AC';
				}else if(version=='ECV86-V3011C-JC'){
					that.show300w = true;
					that.logoName = '鲸创电子<br />车牌识别一体机';
				}else{
					that.show300w = true;
					that.logoName = '400万高清 <br />车牌识别一体机';
				}
			}
			if(version=='DMG88-V2001C' || version=='DMF88-V2001C'||version=='DCE88-V3002C'||version.indexOf('DCE88-V3012C')!=-1||version.indexOf('DME88')!=-1||version.indexOf('DCF88')!=-1||version.indexOf('DCG88')!=-1||version.indexOf('ECF88')!=-1||version.indexOf('DMG88')!=-1){
		 		$('.lcd').show();
		 		that.showLed=false;
		 		that.showOffline=false;
		 		$('.tuyl').hide();
		 		if(version.indexOf('DCF88')!=-1||version=='DCE88-V3002C'||version.indexOf('DCE88-V3012C')!=-1||version.indexOf('DCG88')!=-1){
		 			$('.tuyl').show();
		 		}
		 		if(version == 'ECF88-V2001C' || version == 'ECF88-V2001C-MO'|| version=='ECF88-V2001C-HK'){
		 			$('.lcd').hide();
		 			that.showLed=true;
		 		}
		 	}
		},
		//选择菜单
		slectMenu: function(index, url) {
			var that =this;
			if(!that.isIE){
				that.index = 0;
				this.url = url;
				return;
			}
			that.index = index;
			this.url = url;
			var curname = '';
			if(index==1){
				curname="main_preview"
					//非ie浏览器的通知处理
					
			}
			if(index==2){
				curname="main_algo"
				var win = $("#iframeId_algo")[0].contentWindow
				if(win.vm){
					win.vm.index='0'
					win.vm.initDataJc();
					win.vm.initData();
				}
			}
			if(index==3){
				curname="main_video"
				var win = $("#iframeId_video")[0].contentWindow
				if(win.vm){
					win.vm.index='0'
					win.vm.initEncoder();
				}
			}
			if(index==0){
				curname="main"
				
			}
			this.$nextTick(function(){
				
				var frames = window.frames;
				for (var i = 0; i < frames.length; i++) {
					var name = $(frames[i])[0].name;
					var frame = document.getElementsByName(name)[0];
				
					var contentWindow = frame.contentWindow;
					var axvdc = contentWindow.document.getElementById('axvdc');
					var have_ocx = (axvdc != null) && (axvdc.object != null);
				
					if (curname == name)
					{
						//frame.style.display = "";
						
						if (have_ocx)
						{
							if (typeof(axvdc.preview) != 'undefined')
								axvdc.preview = 1;
						
							if (typeof(axvdc.refresh) != 'undefined')
								axvdc.refresh();
						}
						
					}
					else
					{
						//frame.style.display = "none";
					
						if (have_ocx && (typeof(axvdc.preview) != 'undefined'))
							axvdc.preview = 0;
					}
				}
			})
			
			setTimeout(function(){
				$('#left').click()
			},800)
			if($("div[class='error']")){
	            $(".error").remove();
	        }
		},
		selectMore: function() {
			this.menu = !this.menu;
		},
		loginout: function() {
			cgi.deletItem("session", "", 0)
			window.top.location.href = 'login.html';
		},
		checkLang: function(str) {
			var that = this;
			if(str == 'ch') {
				that.lang1 = '中文';
			} else if(str == 'en') {
				that.lang1 = 'English';
			}
			that.showLang = false;
			var curLang = cgi.getItem('lang');
			if(curLang == that.lang1){
				return;
			}
			//cgi.setItem('lang', that.lang1)
			cgi.setCookie('lang',that.lang1,3650)
			window.location.reload();
		},
		showLangList: function() {
			this.showLang = !this.showLang;
		},
		//设置顶部菜单是否需要隐藏
		setMinWidth:function(){
			var that =this;
			if($(window).width() < 1040) {
				that.minWidth = false;
			}else{
				that.minWidth = true;
			}
		}
	},
	mounted: function() {
		var that =this;
		this.initData()
		that.setMinWidth();
		if(!this.isIE){
			$('#algo').attr('href','arithmetic.html');
			$('#video').attr('href','video_parameter.html');
			$('#algo,#video').attr('target','main');
			$('#iframeId_preview,#iframeId_algo,#iframeId_video').remove();//非IE移动不用的iframe
		}
		$(window).resize(function() {
			that.setMinWidth();
		});
		
		//远程访问加心跳
		if(!islocal()){
			//this.showLogMenu=false;
			var sn = cgi.getItem('uid')
			//心跳
			var url1=baseurl+'/remote/device/heartbeat?sn='+sn
			setInterval(function(){
				$.ajax({
					url: url1,
					type: "GET", //GET
					async: true, //或false,是否异步
					dataType: 'json',
					contentType: "application/json",
					data: {},
					success: function(data) {},
					error:function(e){}
				});
			},1000*60*3)
		}
	},
	watch: {
		//url改变则保存当前url和id
		url: function() {
			cgi.setItem("target_url", this.url);
			cgi.setItem("target_index", this.index);
		}
	}
})

//子页面跳转页面时调用
function select_tab(tab_id) {
	//跳转屏显参数
	if(tab_id == 'peripheral') {
		vm.index = 0;
		vm.url = 'peripheral.html';
	} else {
		//跳转预览页面
		vm.index = 1;
		vm.url = "preview.html";
		show_preview()
	}
}

/**
 * @param {Object} index
 * @param {Object} preview 0停止视屏流; 1开始接受视频流
 */
function iframe_preview(index, preview) {
	if(index == 1) {
		var contentWindow = document.getElementById('iframeId_preview').contentWindow;
		var axvdc = contentWindow.document.getElementById('axvdc');

		if((axvdc != null) && (axvdc.object != null) && (axvdc.preview != preview)) {
			axvdc.preview = preview;
			if(preview)
				axvdc.refresh();
		}
	} else if(index == 2) {
		var contentWindow = document.getElementById('iframeId_algo').contentWindow;
		var axvdc = contentWindow.document.getElementById('axvdc');

		if((axvdc != null) && (axvdc.object != null) && (axvdc.preview != preview)) {
			axvdc.preview = preview;
			if(preview){
				axvdc.refresh();
			}
			init(contentWindow.cgi);
			contentWindow.vm.initDataJc();
		}
	} else if(index == 3) {
		var contentWindow = document.getElementById('iframeId_video').contentWindow;
		var axvdc = contentWindow.document.getElementById('axvdc');

		if((axvdc != null) && (axvdc.object != null) && (axvdc.preview != preview)) {
			axvdc.preview = preview;
			if(preview){
				axvdc.refresh();
			}
			init(contentWindow.cgi);
		}
	}

}

//单独为了跳转设置向导页面
function show_preview() {
	if(cgi.isBrowerIE()){
		vm.slectMenu(1,'preview.html');
		iframe_preview(1, 1);
        iframe_preview(2, 0);
        iframe_preview(3, 0);
	}else{
		vm.slectMenu(0,'preview_ws.html');
		$('#commiframe').attr('src','preview_ws.html')
	}
}
